%Příklad čislo 5
%Model čislo 1
clc 
clear
numElements = 1; %Počet prutu stejného typu
numNodes = 4; %Počet uzlu
numDOFpernode =3; %Stupeň volnosti uzlu
numDOF = numNodes * numDOFpernode +1; %Stupeň volnosti celé konstrukce
K_global = zeros (numDOF, numDOF); %Globalní matice tuhosti
%Sestavení globalní matice tuhosti celé konstrukce
for i=1:numElements
   K_vector{i} = T_matice'*vetknuti_vetknuti*T_matice
   K_global ([1 2 3 4 5 7],[1 2 3 4 5 7]) = K_global ([1 2 3 4 5 7],[1 2 3 4 5 7]) + K_vector{i}
        for j=1:numElements
           K_vector{j} = vetknuti_vetknuti
           K_global ([4 6 7 8 9 10],[4 6 7 8 9 10]) = K_global ([4 6 7 8 9 10],[4 6 7 8 9 10]) + K_vector{j} 
              for k=1:numElements
                 K_vector{k} = T_matice'*vetknuti_vetknuti*T_matice
                 K_global ([8 9 10 11 12 13],[8 9 10 11 12 13]) = K_global ([8 9 10 11 12 13],[8 9 10 11 12 13]) + K_vector{k} 
              end
        end
end
%Sestavení localního vektoru primarních koncových účinků
numqElements = 1;
R_local_prim = zeros (numDOF, 1);

for i=1:numqElements
    R_vector{i} = T_matice'*q_zatizeni_111_111
    R_local_prim ([1 2 3 4 5 7],[1]) = R_local_prim ([1 2 3 4 5 7],[1]) + R_vector{i} 
        for j=1:numqElements
           R_vector{j} = q_zatizeni_111_111
           R_local_prim ([4 6 7 8 9 10],[1]) = R_local_prim ([4 6 7 8 9 10],[1]) + R_vector{j} 
        end
end


%Sestavení globalního vektoru uzlového zatížení
S_global= zeros (numDOF, 1);

%Sestavení vektoru pravé strany
F_global = S_global-R_local_prim;

%Sestavení globalního vektoru parametrů deformaci
r_global = zeros(numDOF,1);
r_global(4:10) = K_global(4:10,4:10)\F_global(4:10)

%Sestavení vektoru celkových koncových sil zvlašt' pro každý prut
r_12 = zeros(6,1)
r_12 ([1 2 3 4 5 6], [1]) = r_global([1 2 3 4 5 7], [1])
R_12 = zeros(6,1)
R_12 = q_zatizeni_111_111 + vetknuti_vetknuti*T_matice*r_12


r_23 = zeros(6,1)
r_23 ([1 2 3 4 5 6], [1]) = r_global ([4 6 7 8 9 10], [1])
R_23 = zeros(6,1)
R_23 = q_zatizeni_111_111 + vetknuti_vetknuti*r_23

r_34 = zeros(6,1)
r_34 ([1 2 3 4 5 6], [1]) = r_global ([8 9 10 11 12 13], [1])
R_34 = zeros(6,1)
R_34 = vetknuti_vetknuti*T_matice*r_34

%Vnitřní sily pro prut 1-2
N_12 = -R_12(1)
V_12 = -R_12(2)
M_12 = -R_12(3)
N_21 = R_12(4)
V_21 = R_12(5)
M_21 = R_12(6)

%Vektor vnitřních sil pro prut 1-2
VVS_12 = zeros(6,1)
VVS_12 = [N_12
          V_12
         M_12
          N_21
          V_21
          M_21]

%Vnitřní sily pro prut 2-3
N_23 = -R_23(1)
V_23 = -R_23(2)
M_23 = -R_23(3)
N_32 = R_23(4)
V_32 = R_23(5)
M_32 = R_23(6)

%Vektor vnitřních sil pro prut 2-3

VVS_23 = zeros(6,1)
VVS_23 = [N_23
          V_23
          M_23
          N_32
          V_32
          M_32]
%Vnitřní sily pro prut 3-4

N_34 = -R_34(1)
V_34 = -R_34(2)
M_34 = -R_34(3)
N_43 = R_34(4)
V_43 = R_34(5)
M_43 = R_34(6)

%Vektor vnitřních sil pro prut 3-4

VVS_34 = zeros(6,1)
VVS_34 = [N_34
          V_34
          M_34
          N_43
          V_43        
          M_43]